Show / Hide Table of Contents

# Struct InventoryManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InventoryManager

### Fields

| Improve this Doc View Source

#### Inventories

##### Declaration

    public InventoryContainer*Inventories

##### Field Value

Type | Description
--- | ---
InventoryContainer* |

### Methods

| Improve this Doc View Source

#### GetInventoryContainer(InventoryType)

##### Declaration

    public InventoryContainer*GetInventoryContainer(InventoryType inventoryType)

##### Parameters

Type | Name | Description
--- | --- | ---
InventoryType | inventoryType |

##### Returns

Type | Description
--- | ---
InventoryContainer* |

| Improve this Doc View Source

#### GetInventoryItemCount(UInt32, Boolean, Boolean, Boolean, Int16)

##### Declaration

    public int GetInventoryItemCount(uint itemId, bool isHq = false, bool checkEquipped = true, bool checkArmory = true, short minCollectability = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
System.Boolean | isHq |
System.Boolean | checkEquipped |
System.Boolean | checkArmory |
System.Int16 | minCollectability |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetItemCountInContainer(UInt32, InventoryType, Boolean, Int16)

##### Declaration

    public int GetItemCountInContainer(uint itemId, InventoryType inventoryType, bool isHq = false, short minCollectability = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
InventoryType | inventoryType |
System.Boolean | isHq |
System.Int16 | minCollectability |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static InventoryManager*Instance()

##### Returns

Type | Description
--- | ---
InventoryManager* |

| Improve this Doc View Source

#### MoveItemSlot(InventoryType, UInt32, InventoryType, UInt32, Byte)

##### Declaration

    public int MoveItemSlot(InventoryType srcContainer, uint srcSlot, InventoryType dstContainer, uint dstSlot, byte unk = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
InventoryType | srcContainer |
System.UInt32 | srcSlot |
InventoryType | dstContainer |
System.UInt32 | dstSlot |
System.Byte | unk |

##### Returns

Type | Description
--- | ---
System.Int32 |